Subject: bug#7387: 23.2; Emacs port to HP-UX ia64

From: "Peter O'Gorman" <[email-masked]>
Date: Tue, 16 Nov 2010 08:55:24 -0600

On Tue, Nov 16, 2010 at 12:03:17PM +0100, Maguire, Andrew (GE Energy) wrote:
> Thanks, I did find Peter's patch via a search and was already using
> that.
> However, this patch sets CANNOT_DUMP=1 on the ia64 system.
> Although this allowed me to be start up Emacs, its initialisation had a
> flaw whereby image-load-path was void
> when it should have been defined, I did not spend any time investigating
> why.
> 
> So, I am trying to get a dumped Emacs working on ia64.

That would be great!

> 
> Peter, can I ask which C compiler are you using on your IA64 system?
> I am using gcc 4.3.3.

Looking at our build recipie and its comments:
CC=cc (cc: HP C/aC++ B3910B A.06.25.01)
CFLAGS="-z +O1 -Wp,-H,200000" (-H 20000 to avoid macro too large error in
dbusbind.c)
CPP=/usr/ccs/lbin/cpp (because cc -E doesn't create a working Makefile).

As I mentioned to Dan in an email yesterday, it may be worth looking at 
what the hpux porting folks did:
http://hpux.connect.org.uk/hppd/cgi-bin/wwwtar?/hpux/Editors/emacs-22.3/emacs-22.3-src-11.11.tar.gz+emacs-22.3/HPUX.Install+text

Hope this helps,
Peter
-- 
Peter O'Gorman
[email-masked]